package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.TSSDTask;
import com.sa.ibiz.demo.demo.service.dto.TSSDTaskSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[TSSDTask] 服务对象接口
 */
public interface TSSDTaskService extends IService<TSSDTask>{

	boolean update(TSSDTask et);
	boolean create(TSSDTask et);
	boolean getDraft(TSSDTask et);
	boolean checkKey(TSSDTask et);
	boolean remove(TSSDTask et);
		TSSDTask get(TSSDTask et);
    List<TSSDTask> listDefault(TSSDTaskSearchFilter filter) ;
	Page<TSSDTask> searchDefault(TSSDTaskSearchFilter filter);
	/**	 实体[TSSDTask] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }